"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _rules = _interopRequireDefault(require("../rules"));

const jsonValidRules = Object.keys(_rules.default).reduce((acc, ruleId) => {
  acc[`playlyfe/${ruleId}`] = true;
  return acc;
}, {});

function isJsonRule(ruleId) {
  return jsonValidRules[ruleId];
}

module.exports = {
  preprocess(text) {
    const json = `const json = ${text};\n`;
    return [json];
  },

  postprocess(messages) {
    const [errors] = messages; // filter out errors not from json rules

    const validErrors = errors.filter(error => isJsonRule(error.ruleId));
    return validErrors;
  },

  supportsAutofix: false
};