"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var astUtils = _interopRequireWildcard(require("./utils/astUtils"));

var _isLocaleFile = _interopRequireDefault(require("./utils/isLocaleFile"));

const Rule = {
  meta: {},

  create(context) {
    if (!(0, _isLocaleFile.default)(context.getFilename())) {
      return {};
    }

    return {
      Property(node) {
        const val = astUtils.getStringNodeValue(node.value);

        if (val && !val.value.trim()) {
          context.report({
            node: node.value,
            message: 'missing translation'
          });
        }
      }

    };
  }

};
module.exports = Rule;