"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = renameRulesConfig;

function isCoreRule(rulesConfigKey) {
  return rulesConfigKey.indexOf('/') === -1;
}
/* will convert react/some-rule => playlyfe/react-some-rule */


function renameRulesConfig(rulesConfig) {
  return Object.keys(rulesConfig).reduce((acc, key) => {
    if (isCoreRule(key)) {
      // core rules is rule
      acc[key] = rulesConfig[key];
    } else {
      // plugin rules is "pluginName/rule"
      const [pluginName, ruleName] = key.split('/');
      acc[`playlyfe/${pluginName}-${ruleName}`] = rulesConfig[key];
    }

    return acc;
  }, {});
}